(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22886,        670]
NotebookOptionsPosition[     22295,        648]
NotebookOutlinePosition[     22736,        666]
CellTagsIndexPosition[     22693,        663]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}]], "Input",
 CellChangeTimes->{{3.4789431165*^9, 3.47894312790625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Priklad", " ", "nelinearni", " ", "charakteristiky"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"i", "[", "u_", "]"}], ":=", 
     RowBox[{"0.01", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"0.4", "*", "u"}], "+", 
        RowBox[{"0.01", 
         SuperscriptBox["u", "3"]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"i", "[", "u", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<U[V]\>\"", ",", "\"\<I[A]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.469622521948707*^9, 3.4696226721146355`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uHUS", "=", 
   RowBox[{"10", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "0.4"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"i", "[", "uHUS", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"%", "//", "TrigReduce"}], "]"}]}], "Input",
 CellChangeTimes->{{3.469622742836328*^9, 3.469622839855835*^9}, {
  3.4696229182786016`*^9, 3.4696229194502864`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Ukazka", " ", "idealizovane", " ", "charakteristiky", " ", "diody"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "iD", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"iD", "[", "uD_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["10", 
       RowBox[{"-", "7"}]], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{"19", "*", "uD"}], "]"}], "-", "1"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"iD", "[", "uD", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"uD", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"iD", "[", "uD", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"uD", ",", 
       RowBox[{"-", "1"}], ",", "0.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.469623178082181*^9, 3.469623285736981*^9}, {
  3.469627312927797*^9, 3.4696273188362927`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Usmernovac", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L1", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L2", "=", "0.04"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"M", "=", 
     RowBox[{"0.999", "*", 
      SqrtBox[
       RowBox[{"L1", "*", "L2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R1", "=", ".5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R2", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     SuperscriptBox["10", 
      RowBox[{"-", "3"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]", "=", "314"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T", "=", 
     RowBox[{"2", "*", 
      FractionBox["Pi", "\[Omega]"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uz", "=", 
     RowBox[{"230", "*", 
      SqrtBox["2"], "*", 
      RowBox[{"Sin", "[", 
       RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"induktory", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"uz", "\[Equal]", 
        RowBox[{
         RowBox[{"L1", "*", 
          RowBox[{
           RowBox[{"i1", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{"M", "*", 
          RowBox[{
           RowBox[{"i2", "'"}], "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"L2", "*", 
          RowBox[{
           RowBox[{"i2", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{"M", "*", 
          RowBox[{
           RowBox[{"i1", "'"}], "[", "t", "]"}]}]}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uzel1", "=", 
     RowBox[{"{", 
      RowBox[{"0", "==", 
       RowBox[{
        RowBox[{"i2", "[", "t", "]"}], "+", 
        FractionBox[
         RowBox[{
          RowBox[{"u1", "[", "t", "]"}], "-", 
          RowBox[{"u2", "[", "t", "]"}]}], "R1"]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uzel2", "=", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"u1", "[", "t", "]"}], "-", 
           RowBox[{"u2", "[", "t", "]"}]}], "R1"], "==", 
         RowBox[{"iD", "[", 
          RowBox[{
           RowBox[{"u2", "[", "t", "]"}], "-", 
           RowBox[{"u3", "[", "t", "]"}]}], "]"}]}], "}"}], ",", "t"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uzel3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"iD", "[", 
        RowBox[{
         RowBox[{"u2", "[", "t", "]"}], "-", 
         RowBox[{"u3", "[", "t", "]"}]}], "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{"u3", "'"}], "[", "t", "]"}]}], "+", 
        FractionBox[
         RowBox[{"u3", "[", "t", "]"}], "R2"]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pocs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"i1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"i2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u3", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u3", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dohr", "=", 
     RowBox[{"Union", "[", 
      RowBox[{
      "induktory", ",", "uzel1", ",", "uzel2", ",", "uzel3", ",", "pocs"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nezname", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Cases", "[", 
        RowBox[{"dohr", ",", 
         RowBox[{"_", "[", "t", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], "//",
       "Union"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", 
     RowBox[{"5", "T"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{"dohr", ",", "nezname", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        RowBox[{"StartingStepSize", "\[Rule]", 
         RowBox[{
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]], "*", "T"}]}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", 
         SuperscriptBox["10", "6"]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"u3", "[", "t", "]"}], "/.", "res"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<u3[V]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4696243186422253`*^9, 3.469624520222083*^9}, {
   3.469624607056946*^9, 3.4696249762378016`*^9}, {3.469625115397904*^9, 
   3.469625210554733*^9}, {3.4696252759387503`*^9, 3.4696253385287504`*^9}, {
   3.469625545366168*^9, 3.469625552596565*^9}, 3.4696257785815153`*^9, {
   3.4696258842634783`*^9, 3.469625891684149*^9}, 3.469625980962525*^9, {
   3.469626027389283*^9, 3.469626031795619*^9}, {3.469626067316696*^9, 
   3.469626110188342*^9}, 3.4696261578669004`*^9, 3.4696270525033245`*^9, {
   3.469627109465232*^9, 3.469627138186531*^9}, {3.4696272250314083`*^9, 
   3.469627276775813*^9}, {3.4696273434416733`*^9, 3.4696273758282433`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{
      RowBox[{"Exp", "[", "kC", "]"}], "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Omega]", "=", "314"}], ";", "\[IndentingNewLine]", 
    RowBox[{"T", "=", 
     RowBox[{"2", "*", 
      FractionBox["Pi", "\[Omega]"]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"uz", "=", 
     RowBox[{"230", "*", 
      SqrtBox["2"], "*", 
      RowBox[{"Sin", "[", 
       RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"induktory", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"uz", "\[Equal]", 
        RowBox[{
         RowBox[{"L1", "*", 
          RowBox[{
           RowBox[{"i1", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{"M", "*", 
          RowBox[{
           RowBox[{"i2", "'"}], "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"L2", "*", 
          RowBox[{
           RowBox[{"i2", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{"M", "*", 
          RowBox[{
           RowBox[{"i1", "'"}], "[", "t", "]"}]}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"uzel1", "=", 
     RowBox[{"{", 
      RowBox[{"0", "==", 
       RowBox[{
        RowBox[{"i2", "[", "t", "]"}], "+", 
        FractionBox[
         RowBox[{
          RowBox[{"u1", "[", "t", "]"}], "-", 
          RowBox[{"u2", "[", "t", "]"}]}], "R1"]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"uzel2", "=", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"u1", "[", "t", "]"}], "-", 
           RowBox[{"u2", "[", "t", "]"}]}], "R1"], "==", 
         RowBox[{"iD", "[", 
          RowBox[{
           RowBox[{"u2", "[", "t", "]"}], "-", 
           RowBox[{"u3", "[", "t", "]"}]}], "]"}]}], "}"}], ",", "t"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"uzel3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"iD", "[", 
        RowBox[{
         RowBox[{"u2", "[", "t", "]"}], "-", 
         RowBox[{"u3", "[", "t", "]"}]}], "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{"u3", "'"}], "[", "t", "]"}]}], "+", 
        FractionBox[
         RowBox[{"u3", "[", "t", "]"}], "R2"]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pocs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"i1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"i2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u3", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u3", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dohr", "=", 
     RowBox[{"Union", "[", 
      RowBox[{
      "induktory", ",", "uzel1", ",", "uzel2", ",", "uzel3", ",", "pocs"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"nezname", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Cases", "[", 
        RowBox[{"dohr", ",", 
         RowBox[{"_", "[", "t", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], "//",
       "Union"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tmax", "=", 
     RowBox[{"10", "T"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{"dohr", ",", "nezname", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        RowBox[{"StartingStepSize", "\[Rule]", 
         RowBox[{
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]], "*", "T"}]}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", 
         SuperscriptBox["10", "6"]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"u3", "[", "t", "]"}], "/.", "res"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "6"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<t[s]\>\"", ",", "\"\<u3[V]\>\""}], "}"}]}]}], "]"}]}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"kC", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.469627406562437*^9, 3.469627469332696*^9}, {
   3.469627512394616*^9, 3.4696275385121713`*^9}, {3.46962756923635*^9, 
   3.46962760212364*^9}, {3.469628959305171*^9, 3.4696289807660303`*^9}, 
   3.478943068125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Linearizace", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Rz", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ClearAll", "[", "uzL", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uzL", "[", "t_", "]"}], ":=", 
     RowBox[{"3", "+", 
      RowBox[{".5", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pr", "=", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plDioda", "=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"iD", "[", "ud", "]"}], ",", "ud"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ud", ",", "0", ",", "1.05"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "0", "]"}], ",", "Thick"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<i[A]\>\"", ",", "\"\<u[V]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "pr"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl", "[", "t_", "]"}], ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"uzL", "[", "t", "]"}], "-", 
       RowBox[{"Rz", "*", "iz"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"iz", ",", "0", ",", 
        FractionBox[
         RowBox[{"uzL", "[", "t", "]"}], "Rz"]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Hue", "[", "0", "]"}], ",", "Thick"}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<i[A]\>\"", ",", "\"\<u[V]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "pr"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"plDioda", ",", 
       RowBox[{"pl", "[", "t", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rce", "[", "t_", "]"}], ":=", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"uzL", "[", "t", "]"}], "-", "ud"}], "Rz"], "\[Equal]", 
      RowBox[{"iD", "[", "ud", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uD", "[", "t_", "]"}], ":=", 
     RowBox[{"ud", "/.", 
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{"rce", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ud", ",", "0.7"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plNelin", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"uD", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{"0.84", ",", "0.93"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t[s]\>\"", ",", "\"\<uD[V],\!\(\*
StyleBox[\"uDLin\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "0", "]"}], ",", "Thick"}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"uD0", "=", 
     RowBox[{"uD", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"iD0", "=", 
     RowBox[{"iD", "[", "uD0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Pracovni bod je  uD0= \>\"", ",", "uD0", ",", "\"\< V\>\"", ",", 
     "\"\<   iD0= \>\"", ",", "iD0", ",", "\"\< A\>\""}], "]"}], "\n", 
   RowBox[{
    RowBox[{"linRce", "=", 
     RowBox[{"id", "==", 
      RowBox[{"Simplify", "[", 
       RowBox[{"Normal", "[", 
        RowBox[{"Series", "[", 
         RowBox[{
          RowBox[{"iD", "[", "ud", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"ud", ",", "uD0", ",", "1"}], "}"}]}], "]"}], "]"}], 
       "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<nahrada iD: \>\"", ",", "linRce"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<nahrada uD: \>\"", ",", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ud", "/.", 
         RowBox[{
          RowBox[{"Solve", "[", 
           RowBox[{"linRce", ",", "ud"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "ud"}], 
      "]"}]}], "]"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"rceLin", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"uzL", "[", "t", "]"}], "-", "ud"}], "Rz"], "\[Equal]", 
       "id"}], ",", "linRce"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"udLin", "=", 
    RowBox[{"ud", "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"rceLin", ",", 
        RowBox[{"{", 
         RowBox[{"ud", ",", "id"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plLin", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{"udLin", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{"0.84", ",", "0.93"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t[s]\>\"", ",", "\"\<uD[V],\!\(\*
StyleBox[\"uDLin\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0", "]"}], ",", "Thick"}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plLin", ",", "plNelin"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.469628983940595*^9, 3.469628992232518*^9}, {
   3.469629959964048*^9, 3.469629963248771*^9}, {3.469630032087757*^9, 
   3.4696300524870896`*^9}, {3.4696300918436813`*^9, 
   3.4696301487254734`*^9}, {3.469630197986307*^9, 3.4696303392694626`*^9}, {
   3.469630419825296*^9, 3.4696304925098114`*^9}, {3.469630528501565*^9, 
   3.4696306033091326`*^9}, {3.469630643066301*^9, 3.469630792941811*^9}, 
   3.469630913835648*^9, {3.469631350323286*^9, 3.4696313533476353`*^9}, {
   3.4696315133777475`*^9, 3.4696315489889536`*^9}, {3.469631678004469*^9, 
   3.469631881647293*^9}, {3.469637242623088*^9, 3.4696372935663404`*^9}, {
   3.47894313975*^9, 3.478943167796875*^9}}]
},
WindowSize->{986, 535},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification->1.4000000953674316`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 140, 3, 41, "Input"],
Cell[688, 25, 878, 27, 97, "Input"],
Cell[1569, 54, 462, 12, 92, "Input"],
Cell[2034, 68, 1716, 50, 195, "Input"],
Cell[3753, 120, 6012, 171, 702, "Input"],
Cell[9768, 293, 5220, 147, 597, "Input"],
Cell[14991, 442, 7300, 204, 766, "Input"]
}
]
*)

(* End of internal cache information *)
