(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8081,        242]
NotebookOptionsPosition[      7675,        225]
NotebookOutlinePosition[      8055,        241]
CellTagsIndexPosition[      8012,        238]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"situace", " ", "podle", " ", "obrazku", " ", 
    RowBox[{"Obr", ".", " ", "34"}]}], "-", "V", "-", "5"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4796322385427637`*^9, 3.4796322632302637`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"iNelin", "[", "u_", "]"}], ":=", 
     RowBox[{
      FractionBox["1", "100"], 
      RowBox[{"(", 
       RowBox[{"u", "+", 
        RowBox[{
         FractionBox["1", "2"], 
         SuperscriptBox["u", "5"]}], "-", 
        RowBox[{
         FractionBox["5", "8"], "*", 
         SuperscriptBox["u", "3"]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"iNelin", "[", "u", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "1.6"}], ",", "1.6"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<u [V]\>\"", ",", "\"\<i [A]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.479633535589639*^9, 3.479633583339639*^9}, {
  3.4796336422302637`*^9, 3.4796338323240137`*^9}, {3.4796338974490137`*^9, 
  3.479633933995889*^9}, {3.479634853933389*^9, 3.479634859558389*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\[Omega]", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrigReduce", "[", 
   RowBox[{"iNelin", "[", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}], "]"}], "]"}], "//", 
  "Chop"}]}], "Input",
 CellChangeTimes->{{3.4796348018240137`*^9, 3.4796348306990137`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"2.", "*", "Pi", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox["1", "f"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L1", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "3"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rozladeni", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nHarm", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L2", "=", 
   RowBox[{".1", "*", "L1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", ".01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{"cap", "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"L2", "*", "cap"}], "\[Equal]", 
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"rozladeni", "*", "\[Omega]", "*", "nHarm"}], ")"}], 
         "2"]]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u1", "=", 
   RowBox[{"10", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"iz", "=", 
   RowBox[{"iNelin", "[", 
    RowBox[{"u2", "[", "t", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iL1", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"iL2", "[", "t", "]"}], "+", "iz"}]}], ",", 
     RowBox[{
      RowBox[{"u1", "-", 
       RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L1", "*", 
       RowBox[{
        RowBox[{"iL1", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL1", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], "-", 
       RowBox[{"u3", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L2", "*", 
       RowBox[{
        RowBox[{"iL2", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u3", "[", "t", "]"}], "-", 
       RowBox[{"u4", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"R", "*", 
       RowBox[{"iL2", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL2", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"u4", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"u4", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"10", "T"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"iL1", "[", "t", "]"}], ",", 
        RowBox[{"iL2", "[", "t", "]"}], ",", 
        RowBox[{"u2", "[", "t", "]"}], ",", 
        RowBox[{"u3", "[", "t", "]"}], ",", 
        RowBox[{"u4", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "10"}]]}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proudy", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"iL1", "[", "t", "]"}], ",", 
      RowBox[{"iL2", "[", "t", "]"}], ",", "iz"}], "}"}], "/.", "res"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", "proudy", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"tmax", "-", 
       RowBox[{"1.5", "T"}]}], ",", "tmax"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<\!\(\*
StyleBox[\"iZdroj\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"iFiltr\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"iZatez\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"Thickness", "[", "0.006", "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"{", 
        RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}], "]"}]}]}], "]"}],
   "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.477135114734375*^9, 3.477135118578125*^9}, {
   3.4771352275*^9, 3.477135990265625*^9}, {3.477136023828125*^9, 
   3.477136063203125*^9}, {3.477136113421875*^9, 3.477136159703125*^9}, 
   3.4771362416875*^9, {3.477136311578125*^9, 3.477136457140625*^9}, 
   3.477136497328125*^9, 3.477136562796875*^9, {3.4771366356875*^9, 
   3.477136712625*^9}, {3.477136906109375*^9, 3.47713692984375*^9}, {
   3.477136970390625*^9, 3.47713697084375*^9}, {3.477137331078125*^9, 
   3.477137337015625*^9}, {3.477137481734375*^9, 3.477137527625*^9}, 
   3.47713757378125*^9, {3.477137677703125*^9, 3.477137739625*^9}, 
   3.477137775125*^9, 3.479542103421875*^9, {3.47954217875*^9, 
   3.479542179265625*^9}, {3.4796338588552637`*^9, 3.479633868933389*^9}, {
   3.479633976214639*^9, 3.4796340229177637`*^9}}]
},
WindowSize->{1141, 853},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.8999998569488525`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 247, 5, 55, "Input"],
Cell[795, 27, 1060, 30, 213, "Input"],
Cell[1858, 59, 351, 9, 113, "Input"],
Cell[2212, 70, 5459, 153, 917, "Input"]
}
]
*)

(* End of internal cache information *)
